# Add custom watchlist entry

`POST /omni/add/watchlist/single-record`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Works with <Glossary>Admin Token</Glossary>.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `api-version` | header | string | yes |  |

## Request body

Values of `idNumber`, `email`, `phone`,`imageBase64` must be unique. These fields are used to perform search in watchlist database. At least one of these must be supplied.

Content-Type: `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `name` | string |  | Name of person that is being uploaded to Watchlist |
| `birthDate` | string |  | Birthdate (timestamp) of person that is being uploaded to Watchlist |
| `idNumber` | string |  | Id number of person that is being uploaded to Watchlist |
| `email` | string |  | Email of person that is being uploaded to Watchlist |
| `phone` | string |  | Phone of person that is being uploaded to Watchlist |
| `personalIdNumber` | string |  | Personal Id Number of person that is being uploaded to Watchlist |
| `imageBase64` | string |  | Base64 representation of face image of person that is being uploaded to Watchlist |
| `frontIdBase64` | string |  | Base64 representation of front side of document image that is being processed to gather OCR data and uploaded to Watchlist |
| `backIdBase64` | string |  | Base64 representation of back side of document image that is being processed to gather OCR data and uploaded to Watchlist |
| `watchlistType` | string |  | Defines type of Watchlist to use Enum: `WHITELIST`, `BLACKLIST` |
| `recordExpiresAt` | string |  | Date (timestamp) until the watchlist entry is active. When searched after this date, score of watchlist match will be 0. |

## Responses

### 200

OK

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `success` | boolean |  | Flag indicating request passed successfully. |
| `sessionStatus` | string |  | Session status Enum: `Alive`, `Closed`, `Deleted` |
| `customerId` | string |  |  |
| `watchlistId` | string |  |  |

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |
